import React from 'react';
import type { ImageProps, PressableProps, ViewProps, TextProps, ScrollViewProps, FlatListProps, SectionListProps } from 'react-native';
import type { SvgProps, GProps, ClipPathProps, RectProps, PolylineProps, CircleProps, EllipseProps, LineProps, PathProps, TSpanProps, TextPathProps } from 'react-native-svg';
declare const AnimatedText: {
    (props: TextProps & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatedView: {
    (props: ViewProps & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatedPressable: {
    (props: PressableProps & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatedImage: {
    (props: ImageProps & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatedScrollView: {
    (props: ScrollViewProps & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatedSafeAreaView: {
    (props: React.PropsWithChildren): React.JSX.Element;
    displayName: string;
};
declare const AnimatedFlatList: {
    (props: FlatListProps<any> & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatedSectionList: {
    (props: SectionListProps<any> & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatedSvg: {
    (props: SvgProps & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatedRect: {
    (props: RectProps & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatedCircle: {
    (props: CircleProps & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatedEllipse: {
    (props: EllipseProps & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatedLine: {
    (props: LineProps & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatedPolyline: {
    (props: PolylineProps & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatedPath: {
    (props: PathProps & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatedTSpan: {
    (props: TSpanProps & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatedTextPath: {
    (props: TextPathProps & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatedG: {
    (props: GProps & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatedClipPath: {
    (props: ClipPathProps & {
        animationComponentGluestack: true;
    }): React.JSX.Element;
    displayName: string;
};
declare const AnimatePresence: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<unknown>>;
export { AnimatedText, AnimatedView, AnimatedPressable, AnimatedImage, AnimatedScrollView, AnimatedSafeAreaView, AnimatedFlatList, AnimatedSectionList, AnimatePresence, AnimatedSvg, AnimatedRect, AnimatedCircle, AnimatedEllipse, AnimatedLine, AnimatedPolyline, AnimatedPath, AnimatedTSpan, AnimatedTextPath, AnimatedG, AnimatedClipPath, };
//# sourceMappingURL=index.d.ts.map